await seam.spaces.list();
/*
[
{
"created_at": "2025-06-16T16:54:17.946600Z",
"display_name": "My Space",
"name": "My Space",
"space_id": "5afeb047-3277-4102-b8c4-99edf05b91d2",
"workspace_id": "96bd12f9-6def-4bf4-b517-760417451ae9"
}
]
*/{
"pagination": {
"has_next_page": true,
"next_page_cursor": "<string>",
"next_page_url": "<string>"
},
"spaces": [
{
"acs_entrance_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"device_count": 123,
"display_name": "<string>",
"name": "<string>",
"space_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_data": {
"address": "<string>",
"default_checkin_time": "<string>",
"default_checkout_time": "<string>",
"time_zone": "<string>"
},
"customer_key": "<string>",
"geolocation": {
"latitude": 123,
"longitude": 123
},
"space_key": "<string>"
}
]
}Spaces
List Spaces
Returns a list of all spaces.
GET
/
spaces
/
list
await seam.spaces.list();
/*
[
{
"created_at": "2025-06-16T16:54:17.946600Z",
"display_name": "My Space",
"name": "My Space",
"space_id": "5afeb047-3277-4102-b8c4-99edf05b91d2",
"workspace_id": "96bd12f9-6def-4bf4-b517-760417451ae9"
}
]
*/{
"pagination": {
"has_next_page": true,
"next_page_cursor": "<string>",
"next_page_url": "<string>"
},
"spaces": [
{
"acs_entrance_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"device_count": 123,
"display_name": "<string>",
"name": "<string>",
"space_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_data": {
"address": "<string>",
"default_checkin_time": "<string>",
"default_checkout_time": "<string>",
"time_zone": "<string>"
},
"customer_key": "<string>",
"geolocation": {
"latitude": 123,
"longitude": 123
},
"space_key": "<string>"
}
]
}Authorizations
pat_with_workspaceconsole_session_with_workspaceapi_keyclient_session_with_customerclient_session_with_customer_rosupport_read_only_token
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Customer key for which you want to list spaces.
Minimum string length:
1String for which to search. Filters returned spaces to include all records that satisfy a partial match using name, space_key, or customer_key.
Minimum string length:
1Filter spaces by space_key.
Minimum string length:
1Maximum number of records to return per page.
Identifies the specific page of results to return, obtained from the previous page's next_page_cursor.
Was this page helpful?